/*-
 * %%----------------------------------------------------------------------------------------------
 * Archive ouverte UNIGE - AoU Model - MetadataFile.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2022 - 2023 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.unige.aou.model.publication;

import java.math.BigInteger;
import java.util.Objects;

public class MetadataFile {
  private String resId;
  private String type;
  private String name;
  private BigInteger size;
  private String checksum;
  private String mimeType;
  private String license;
  private String label;
  private String accessLevel;
  private MetadataEmbargo embargo;
  private String licenseTitle;
  private String licenseUrl;
  private String typeLevel;
  private String finalAccessLevel;
  private String embargoAccessLevel;
  private String embargoEndDate;

  public String getResId() {
    return this.resId;
  }

  public void setResId(String resId) {
    this.resId = resId;
  }

  public String getType() {
    return this.type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public String getName() {
    return this.name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public BigInteger getSize() {
    return this.size;
  }

  public void setSize(BigInteger size) {
    this.size = size;
  }

  public String getChecksum() {
    return this.checksum;
  }

  public void setChecksum(String checksum) {
    this.checksum = checksum;
  }

  public String getMimeType() {
    return this.mimeType;
  }

  public void setMimeType(String mimeType) {
    this.mimeType = mimeType;
  }

  public String getLicense() {
    return this.license;
  }

  public void setLicense(String license) {
    this.license = license;
  }

  public String getLabel() {
    return this.label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public String getAccessLevel() {
    return this.accessLevel;
  }

  public void setAccessLevel(String accessLevel) {
    this.accessLevel = accessLevel;
  }

  public MetadataEmbargo getEmbargo() {
    return this.embargo;
  }

  public void setEmbargo(MetadataEmbargo embargo) {
    this.embargo = embargo;
  }

  public String getLicenseTitle() {
    return licenseTitle;
  }

  public void setLicenseTitle(String licenseTitle) {
    this.licenseTitle = licenseTitle;
  }

  public String getLicenseUrl() {
    return licenseUrl;
  }

  public void setLicenseUrl(String licenseUrl) {
    this.licenseUrl = licenseUrl;
  }

  public String getTypeLevel() {
    return typeLevel;
  }

  public void setTypeLevel(String typeLevel) {
    this.typeLevel = typeLevel;
  }

  public String getFinalAccessLevel() {
    return finalAccessLevel;
  }

  public void setFinalAccessLevel(String finalAccessLevel) {
    this.finalAccessLevel = finalAccessLevel;
  }

  public String getEmbargoAccessLevel() {
    return embargoAccessLevel;
  }

  public void setEmbargoAccessLevel(String embargoAccessLevel) {
    this.embargoAccessLevel = embargoAccessLevel;
  }

  public String getEmbargoEndDate() {
    return embargoEndDate;
  }

  public void setEmbargoEndDate(String embargoEndDate) {
    this.embargoEndDate = embargoEndDate;
  }

  @Override
  public boolean equals(final Object o) {
    if (this == o)
      return true;
    if (!(o instanceof MetadataFile))
      return false;
    final MetadataFile castOther = (MetadataFile) o;
    return Objects.equals(this.type, castOther.type) && Objects.equals(this.name, castOther.name)
            && Objects.equals(this.size, castOther.size) && Objects.equals(this.mimeType, castOther.mimeType)
            && Objects.equals(this.license, castOther.license) && Objects.equals(this.label, castOther.label)
            && Objects.equals(this.accessLevel, castOther.accessLevel) && Objects.equals(this.embargo, castOther.embargo);
  }
}
